Get person tag list

Prev Next

Available in VPC

Get the list of person tags.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/workspaces/{workspace_name}/person-tags

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
id Integer Optional Person tag ID
name String Optional Person tag name
  • 1-30 characters
pageNum Integer Required Page number
  • 1 or more
pageSize Integer Optional Number of items per page
  • 1-50 (default: 10)

Request example

The request example is as follows:

curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/person-tags?pageNum=1&pageSize=10' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - API return information
result.content Array - Person tag list: content
result.totalCount Integer - Total person tag count
result.totalPage Integer - Total number of pages
result.pageNo Integer - Page number
result.pageSize Integer - Number of items per page

content

The following describes content.

Field Type Required Description
id Integer - Person tag ID
name String - Person tag name
updatedUserName String - User name who last edited the tag
updatedTime String - Tag modification date and time
  • ISO 8601 format

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
  "code": "0",
  "message": "success",
  "result": {
    "content": [
      {
        "id": 1001,
        "name": "Anchor",
        "updatedUserName": "*dong Hong",
        "updatedTime": ""2025-08-15T17:13:48""
      },
      {
        "id": 1002,
        "name": "Singer",
        "updatedUserName": "*su Kim",
        "updatedTime": "2025-08-16T03:22:11.198Z"
      }
    ],
    "totalCount": 2,
    "totalPage": 1,
    "pageNo": 1,
    "pageSize": 10
  }